#include "lambda.h"

extern int printf(char*, ...);

typedef int (*ft)(int);

int
main(int argc, char **argv)
{
	int x = 2;
	int ret;
	ft f;

	printf("Creating xplus\n");
	f = fn int xplus(int y) {
		printf("Inside xplus\n");
		printf("x=%d, y=%d\n", x, y);
		return x+y;
	};

	printf("Calling f(3)\n");
	ret = f(3);
	printf("f returned %d\n", ret);

	printf("Freeing f\n");
	freefn(f);

	return 0;
}
