/*
 * Useful headers
 */
#include <stddef.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <stdarg.h>
#include <inttypes.h>
#include <assert.h>

/*
 * A few holdovers from Plan 9.
 */
#define SET(x)	((x)=0)
#define USED(x) ((void)(x))

/*
 * easiest way to make sure these are defined
 */
#define uchar	_uchar
#define ushort	_ushort
#define uint	_uint
#define ulong	_ulong
typedef unsigned char		uchar;
typedef unsigned short		ushort;
typedef unsigned int		uint;
typedef unsigned long		ulong;
typedef long long	vlong;
typedef unsigned long long	uvlong;
typedef unsigned long	uintptr;
typedef long intptr;

typedef uint32_t uint32;
typedef uint64_t uint64;

#define	nil	NULL
#define	nelem(x)	(int)(sizeof (x)/sizeof (x)[0])

#define static_assert(x) switch(x) case 0: case (x):
