// Arena-based allocator.
typedef struct Arena Arena;

tracked($A) Arena* acreate(void) [new $A];

$A:void* amalloc(tracked($A) Arena *a, int n) [$A];
void     afree  (tracked($A) Arena *a)        [-$A];

void
main()
{
	$X:int* p;
	int *s;
	// stored = {}
	// held   = {}
	tracked($X) Arena* a;
	// stored = {}
	// held   = {}
	a = acreate();    // removing this line should be an error;
	// stored = {X}
	// held   = {X}
	p = amalloc(a, sizeof *p);
	*p = 5;
	afree(a);         // removing this line should be an error;
	// stored = {X}
	// held   = {}
	*p = 6;           // bad!
}

